Subject: [pilc] Re: How many bytes should a CRC-32 protect?]

From: Dan Grossman <[email-masked]>
Date: Tue, 07 May 2002 09:31:27 -0400

Oops.  I'd intended this for the list, as well.

-------- Original Message --------
Subject: Re: How many bytes should a CRC-32 protect?
Date: Tue, 07 May 2002 09:18:28 -0400
From: Dan Grossman <[email-masked]>
To: [email-masked]
References: <[email-masked]>

Gorry,
There was a fair amount of research on this over several Layer 2
protocol
standards development projects.  Memory is fading a bit now, but I
recollect that
there were some analyses done by some folks at Digital (er... Compaq....
er...
HP) during the FDDI standardization.  This came back during the AAL5
standardization, and some folks at IBM (Paul Greene?) did additional
work.  I'm
sure I've got the paper contributions, but unfortunately they're off in
a
warehouse somewhere.

Also see Craig Partridge, Jim Hughes and Jonathan Stone "Performance of
Checksums
and CRCs over Real Data", Proceedings of SIGCOMM'95.

Dan

Dr G Fairhurst wrote:

> I was asked by someone how big a frame size can a CRC-32 reasonably protect?
>
> One of my students came across:
>
> http://sd.wareonearth.com/~phil/jumbo.html
>
> which seems to suggest that the CRC-32 is good for 10-12KB or so of
> data, and that
> this could be one reason why we don't see many subnetworks supporting
> MTUs > 12KB.
>
> Is there more wisdom out there on the use of CRCs over large subnetwork PDUs?
> - perhaps the ATM or gigEthernet people have thought this one through?
>
> Gorry Fairhurst.

_______________________________________________
pilc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pilc